@import '../scss/variables';
@import '../../node_modules/bulma/sass/utilities/_all.sass';

.commune-portal-logo {
  margin-right: auto;

  @media screen and (min-width: $desktop) {
    min-width: 250px;
  }
  @media screen and (max-width: $tablet) {
    margin: auto;
  }

  a {
    display: flex;
    align-items: center;

    &:hover {
      text-decoration: none;
    }

    div {
      padding: 0 20px 0 30px;

      p {
        color: #ffffff;
        font-weight: 400;
        font-size: 16px;
        line-height: 20px;
      }
    }

    img {
      height: 100%;
      max-height: 3rem;
    }
  }
}

.is-portal-light-theme {
  .hamburger-inner,
  .hamburger-inner::before,
  .hamburger-inner::after {
    background-color: #000000;
  }

  .commune-portal-logo a div p {
    color: #000000;
  }

  .svg-alone {
    border-color: #000000;

    svg {
      stroke: #000000;
    }
  }
}
  
.is-portal-feedback, .is-portal-feedback-button {
  button.feedback-button {
    background-color: #ffffff;

    svg {
      path.color-brand {
        fill: #000000;
      }

      path.color-beta {
        fill: #ffffff;
      }
    }
  }

  .feedback-container {
    background-color: #ffffff;

    .button.close-btn,
    .feedback-form-container {
      box-shadow: 0 8px 32px 0 rgba(130, 130, 130, 0.4);
    }
  }
}

.menu.has-commune-navbar {
  padding-top: 70px;
  @media screen and (min-width: 500px) and (max-width: $tablet) {
    padding-top: 50px;
  }
  @media screen and (min-width: $tablet) {
    padding-top: $commune-navbar-height;
  }
  &.is-menu-light-theme {
    .menu-list a:not(.active-link):not(:hover) {
      .icon-item svg .main {
        fill: #000000;
      }
      .label-menu {
        color: #000000;
      }
    }
    .bottom-menu-section {
      .version-item, .language:not(.is-active) {
        color: #000000;
      }
    }
  }
}

.portal-commune-navbar  {
  background-color: $brand-color;
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: $commune-navbar-height;
  @media screen and (max-width: $tablet) {
    height: auto;
  }
  @media screen and (max-width: 500px) {
    flex-direction: column;
  }
  > div {
    a {
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 21px;
      color: #ffffff;
      white-space: nowrap;
      &:hover {
        text-decoration: none;
      }
    }
    &:first-of-type {
      padding-left: 15px;
      @media screen and (min-width: 846px) {
        padding-left: 80px;
      }
      > a > span {
        color: #D1D1D1;
      }
      > a > strong {
        margin-left: .5em;
      }
    }
    &:last-of-type {
      padding-right: 15px;
      > a {
        &> strong {
          font-weight: 600;
        }
        &> img {
          padding: 0 .75em;
          &.left_arrow {
            transform: rotate(180deg);
          }
        }
      }

      > span {
        color: #ffffff;
        padding: 0 1em;
      }
      @media screen and (max-width: $tablet) {
        margin: 4px;
        display: flex;
        flex-direction: column;
        & > a:first-of-type {
          padding-right: 15px;
        }
        & > a:last-of-type {
          padding-left: 15px;
        }
        & > span {
          display: none;
        }
      }  
    }
  }
}


#home-component {
  .research-input {
    min-width: 28rem;
    input {
      border-radius: 4px;
    }
  }
  .button-research {
    transform: translateX(1rem);
    button {
      border-radius: 4px;
      background-color: $tomato-color;
      &::after {
        border: none;
      }
      .icon svg path {
        fill: #ffffff;
      }
    }

  }
}